Index: Build
===================================================================
RCS file: Build
diff -N Build
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ Build	21 Apr 2005 11:59:46 -0000	1.6
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+source ../Config.sh
+
+PP_PUBLIC_INCLUDES="auth-client.h libesmtp.h"
+
+pp_build_local () {
+    libtoolize --copy --force \
+      && autoreconf -i -f \
+      && CFLAGS="$FW_CFLAGS_3RDPARTY -ffunction-sections -fdata-sections" \
+	 ./configure --host="${HOST_SYSTEM}" \
+		     --prefix=/ \
+		     --enable-static \
+		     --disable-shared \
+		     --disable-xusr \
+		     --disable-nsauth \
+		     --disable-isoc \
+		     --disable-chunking \
+		     --without-openssl \
+      && make all install
+}
+
+pp_do "$@"
Index: Makefile.am
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/Makefile.am,v
retrieving revision 1.1.29.1
retrieving revision 1.3
diff -u -r1.1.29.1 -r1.3
--- Makefile.am	30 Jan 2003 15:18:40 -0000	1.1.29.1
+++ Makefile.am	10 Nov 2003 11:22:19 -0000	1.3
@@ -2,9 +2,11 @@
 #AUTOMAKE_OPTIONS = gnu dist-bzip2
 AUTOMAKE_OPTIONS = gnu
 
+include ../Config.mk
+
 INCLUDES = -I$(srcdir) $(VERSION_FLAGS)
 SUBDIRS = @subdirs@ @SASL_PLUGINS@
-CFLAGS = @CFLAGS@ @EXTRA_CFLAGS@
+AM_CFLAGS += @EXTRA_CFLAGS@
 
 lib_LTLIBRARIES = libesmtp.la
 
@@ -22,9 +24,9 @@
 libesmtp_la_LDFLAGS = -export-dynamic \
 		      -version-info $(LIBESMTP_VERSION)
 
-include_HEADERS = libesmtp.h auth-client.h auth-plugin.h 
+noinst_HEADERS = libesmtp.h auth-client.h auth-plugin.h 
 
-bin_SCRIPTS = libesmtp-config
+noinst_SCRIPTS = libesmtp-config
 
 EXTRA_DIST = libesmtp.spec libesmtp.spec.in COPYING.GPL Notes doc/api.xml \
 	     examples/Makefile examples/mail-file.c examples/test-mail
Index: configure.in
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/configure.in,v
retrieving revision 1.1.29.1
retrieving revision 1.3
diff -u -r1.1.29.1 -r1.3
--- configure.in	30 Jan 2003 15:18:40 -0000	1.1.29.1
+++ configure.in	24 May 2005 07:38:43 -0000	1.3
@@ -24,8 +24,9 @@
 dnl 
 dnl #########################################################################
 
-AC_INIT(smtp-api.c)
-AM_CONFIG_HEADER(config.h)
+AC_INIT
+AC_CONFIG_SRCDIR([smtp-api.c])
+AC_CONFIG_HEADERS([config.h])
 AM_INIT_AUTOMAKE([libesmtp],[1.0])
 AC_CANONICAL_HOST
 
@@ -52,6 +53,13 @@
 AC_PROG_MAKE_SET
 AM_PROG_LIBTOOL
 
+AH_TOP(
+       /* Turn off the GCC specific __attribute__ keyword */
+       #if !defined (__GNUC__) || __GNUC__ < 2
+       # define __attribute__(x)
+       #endif
+       )
+
 dnl #########################################################################
 dnl Miscellaneous stuff
 dnl #########################################################################
@@ -82,7 +90,7 @@
         EXTRA_CFLAGS="$EXTRA_CFLAGS \
         -Wall -Wchar-subscripts -Wmissing-declarations -Wmissing-prototypes \
         -Wstrict-prototypes -Wnested-externs -Wpointer-arith \
-        -Wbad-function-cast -Wcast-align -Wsign-promo"
+        -Wbad-function-cast"
 fi
 if test "$GCC" = "yes" -a "$enable_more_warnings" = "picky"; then
         EXTRA_CFLAGS="$EXTRA_CFLAGS -fno-builtin -W -Werror -Wwrite-strings \
@@ -206,17 +214,17 @@
 dnl # redefine the name to something else, e.g. OSF
 if test x$have_getaddrinfo != xyes ; then
 	AC_MSG_CHECKING(if getaddrinfo is redefined in netdb.h)
-	AC_TRY_LINK([
+	AC_LINK_IFELSE([AC_LANG_PROGRAM([[
 #		include <netdb.h>
-	], [
+	]], [[
   		struct addrinfo hints, *res;
 		int err;
 
   		err = getaddrinfo ("host", "service", &hints, &res);
-	], [
+	]])],[
 		have_getaddrinfo=yes
 		AC_MSG_RESULT(yes)
-	], [AC_MSG_RESULT(no)])
+	],[AC_MSG_RESULT(no)])
 fi
 
 fi
@@ -231,7 +239,7 @@
 	if test x$enable_emulate_getaddrinfo != xyes ; then
 		AC_MSG_ERROR([getaddrinfo not found: try --with-lwres or --enable-emulate-getaddrinfo])
 	fi
-	LIBOBJS="$LIBOBJS getaddrinfo.o"
+	AC_LIBOBJ([getaddrinfo])
 fi
 
 if test x"$enable_emulate_getaddrinfo" != xno ; then
@@ -259,19 +267,19 @@
 	AC_SEARCH_LIBS(gethostbyname, resolv bind nsl, ,
 		       [AC_MSG_ERROR([cannot find gethostbyname])])
     fi
-    LIBOBJS="$LIBOBJS gethostbyname.o"
+    AC_LIBOBJ([gethostbyname])
 
     AC_CACHE_CHECK([for IPv6 support], acx_cv_sys_use_ipv6, [
-	    AC_TRY_COMPILE([
+	    AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #		include <netinet/in.h>
-	    ], [
+	    ]], [[
 		struct sockaddr_in6 sin6;
 		void *p;
 
 		sin6.sin6_family = AF_INET6;
 		sin6.sin6_port = 587;
 		p = &sin6.sin6_addr;
-	    ], [acx_cv_sys_use_ipv6=yes], [acx_cv_sys_use_ipv6=no])
+	    ]])],[acx_cv_sys_use_ipv6=yes],[acx_cv_sys_use_ipv6=no])
     ])
     if test x"$acx_cv_sys_use_ipv6" != xno ; then
 	    AC_DEFINE(USE_IPV6,1,[Enable IPv6 support])
@@ -342,7 +350,9 @@
 dnl the SASL API will move into a library of its own.
 
 AC_DEFINE(USE_SASL,1,[Build with support for SMTP AUTH using SASL])
-SASL_PLUGINS="login plain crammd5"
+
+dnl Uncomment this for SMTP AUTH
+dnl SASL_PLUGINS="login plain crammd5"
 
 dnl Set up the authentication plugin directory
 
@@ -527,9 +537,9 @@
 dnl #########################################################################
 dnl Check for types
 dnl #########################################################################
-AC_CHECK_SIZEOF(unsigned short)
-AC_CHECK_SIZEOF(unsigned int)
-AC_CHECK_SIZEOF(unsigned long)
+AC_CHECK_SIZEOF(unsigned short, 2)
+AC_CHECK_SIZEOF(unsigned int, 4)
+AC_CHECK_SIZEOF(unsigned long, 4)
 
 dnl #########################################################################
 dnl Checks for library functions.
@@ -548,16 +558,14 @@
 	AC_CHECK_FUNCS(strerror_r,[
 	    AC_CACHE_CHECK([for working strerror_r],
 	                   acx_cv_sys_working_strerror_r, [
-		AC_TRY_COMPILE([
+		AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #			define _SVID_SOURCE	1
 #			include <string.h>
-		], [
+		]], [[
 		    	char *s;
 
 		    	s = strerror_r (0, (char *) 0, 0);
-		],
-		[acx_cv_sys_working_strerror_r=yes],
-		[acx_cv_working_strerror_r=no])
+		]])],[acx_cv_sys_working_strerror_r=yes],[acx_cv_working_strerror_r=no])
 	    ])
 	    if test x$acx_cv_sys_working_strerror_r = xyes ; then
 	    	AC_DEFINE(HAVE_WORKING_STRERROR_R,1,[strerror_r works!])
@@ -570,7 +578,7 @@
 dnl #########################################################################
 dnl Check that snprintf works correctly.
 dnl #########################################################################
-ACX_SNPRINTF(,[LIBOBJS="$LIBOBJS snprintf.o"])
+AC_CHECK_FUNCS(snprintf)
 
 dnl #########################################################################
 dnl Make substitutions
@@ -585,13 +593,13 @@
 AC_SUBST(RANLIB)
 AC_SUBST(subdirs)
 
-LTLIBOBJS=`echo "$LIBOBJS" | sed ['s/\.[^.]* /.lo /g;s/\.[^.]*$/.lo/']`
-AC_SUBST(LTLIBOBJS)
 LTALLOCA=`echo "$ALLOCA" | sed ['s/\.[^.]* /.lo /g;s/\.[^.]*$/.lo/']`
 AC_SUBST(LTALLOCA)
 
-AC_OUTPUT([libesmtp-config libesmtp.spec
+
+AC_CONFIG_FILES([libesmtp-config libesmtp.spec
 	   Makefile login/Makefile plain/Makefile crammd5/Makefile ntlm/Makefile])
+AC_OUTPUT
 
 dnl #########################################################################
 dnl Feature synopsis
Index: headers.c
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/headers.c,v
retrieving revision 1.1.29.1
retrieving revision 1.3
diff -u -r1.1.29.1 -r1.3
--- headers.c	30 Jan 2003 15:18:41 -0000	1.1.29.1
+++ headers.c	21 May 2004 10:47:08 -0000	1.3
@@ -244,22 +244,21 @@
   const char *phrase;
 
   assert (header != NULL);
-
+  
   phrase = va_arg (alist, const char *);
   mailbox = va_arg (alist, const char *);
-
   /* Allow this to succeed as a special case.  Effectively requesting
      default action in print_from().   Fails if explicit values have
      already been set.  */
   if (phrase == NULL && mailbox == NULL)
     return header->value == NULL;
-
   mbox = malloc (sizeof (struct mbox));
   if (mbox == NULL)
     return 0;
+  
   mbox->phrase = (phrase != NULL) ? strdup (phrase) : NULL;
-  mbox->mailbox = strdup (mailbox);
-
+  mbox->mailbox = (mailbox != NULL) ? strdup (mailbox) : NULL;
+  
   mbox->next = header->value;
   header->value = mbox;
   return 1;
@@ -340,7 +339,7 @@
 {
   struct mbox *mbox;
   const char *mailbox;
-
+  
   assert (message != NULL && header != NULL);
 
   vconcatenate (&message->hdr_buffer, header->header, ": ", NULL);
@@ -460,7 +459,7 @@
    declarations for set_xxx/print_xxx.  */
 
 static const struct header_actions header_actions[] =
-  {
+    {
     /* This is the default header info for a simple string value.
      */
     { NULL,		OPTIONAL,
@@ -590,12 +589,19 @@
 {
   struct header_info *info;
   const char *p;
-
+  
   assert (message != NULL && name != NULL);
-
+  
+  if (len < 0)
+	len = strlen (name);
+  if (len == 0)
+        return NULL;
+      
   info = h_search (message->hdr_action, name, len);
+  
   if (info == NULL && (p = memchr (name, '-', len)) != NULL)
-    info = h_search (message->hdr_action, name, p - name + 1);
+	info = h_search (message->hdr_action, name, p - name + 1);
+
   return info;
 }
 
@@ -674,7 +680,8 @@
 
   assert (message != NULL && header != NULL && len != NULL);
 
-  if ((p = memchr (header, ':', *len)) != NULL
+  if (*len > 0
+      && (p = memchr (header, ':', *len)) != NULL
       && (info = find_header (message, header, p - header)) != NULL)
     {
       if ((action = info->action) != NULL)
@@ -764,22 +771,23 @@
   struct rfc2822_header *hdr;
   struct header_info *info;
   hdrset_t set;
-
+ 
   SMTPAPI_CHECK_ARGS (message != NULL && header != NULL, 0);
-
+  
   if (!init_header_table (message))
     {
       set_errno (ENOMEM);
       return 0;
     }
-
+ 
   info = find_header (message, header, -1);
+  
   if (info == NULL && (info = insert_header (message, header)) == NULL)
     {
       set_errno (ENOMEM);
       return 0;
     }
-
+ 
   /* Cannot specify a value for headers that must pass unchanged (MIME)
      or which may not appear in a posted message (Return-Path:).  */
   if (info->prohibit || (info->action->flags & (PROHIBIT | PRESERVE)))
@@ -787,14 +795,14 @@
       set_error (SMTP_ERR_INVAL);
       return 0;
     }
-
+ 
   set = info->action->set;
   if (set == NULL)
     {
       set_error (SMTP_ERR_INVAL);
       return 0;
     }
-
+ 
   if (info->hdr == NULL)
     hdr = create_header (message, header, info);
   else if (info->hdr->value == NULL)
@@ -815,12 +823,11 @@
 	  return 0;
         }
   }
-
+ 
   /* Set its value */
   va_start (alist, header);
   (*set) (hdr, alist);
   va_end (alist);
-
   return 1;
 }
 
Index: smtp-api.c
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/smtp-api.c,v
retrieving revision 1.1.29.1
retrieving revision 1.2
diff -u -r1.1.29.1 -r1.2
--- smtp-api.c	30 Jan 2003 15:18:41 -0000	1.1.29.1
+++ smtp-api.c	14 Mar 2003 09:16:49 -0000	1.2
@@ -539,7 +539,7 @@
 int
 smtp_version (void *buf, size_t len, int what)
 {
-  static const char version[] = VERSION;
+  static const char version[] = "1.0";
 
   SMTPAPI_CHECK_ARGS (buf != NULL && len > 0, 0);
   SMTPAPI_CHECK_ARGS (what == 0, 0);
Index: crammd5/Makefile.am
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/crammd5/Makefile.am,v
retrieving revision 1.1.29.1
retrieving revision 1.2
diff -u -r1.1.29.1 -r1.2
--- crammd5/Makefile.am	30 Jan 2003 15:18:41 -0000	1.1.29.1
+++ crammd5/Makefile.am	30 Jan 2003 17:08:39 -0000	1.2
@@ -3,7 +3,7 @@
 libdir = @plugindir@
 
 INCLUDES = -I@srcdir@
-CFLAGS = @CFLAGS@ @EXTRA_CFLAGS@
+AM_CFLAGS = @EXTRA_CFLAGS@
 
 lib_LTLIBRARIES = sasl-cram-md5.la
 
Index: login/Makefile.am
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/login/Makefile.am,v
retrieving revision 1.1.29.1
retrieving revision 1.2
diff -u -r1.1.29.1 -r1.2
--- login/Makefile.am	30 Jan 2003 15:18:41 -0000	1.1.29.1
+++ login/Makefile.am	30 Jan 2003 17:08:39 -0000	1.2
@@ -5,7 +5,7 @@
 INCLUDES = -I@srcdir@
 
 lib_LTLIBRARIES = sasl-login.la
-CFLAGS = @CFLAGS@ @EXTRA_CFLAGS@
+AM_CFLAGS = @EXTRA_CFLAGS@
 
 sasl_login_la_SOURCES = client-login.c
 sasl_login_la_LDFLAGS = -module -avoid-version
Index: ntlm/Makefile.am
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/ntlm/Makefile.am,v
retrieving revision 1.1.29.1
retrieving revision 1.2
diff -u -r1.1.29.1 -r1.2
--- ntlm/Makefile.am	30 Jan 2003 15:18:41 -0000	1.1.29.1
+++ ntlm/Makefile.am	30 Jan 2003 17:08:39 -0000	1.2
@@ -3,7 +3,7 @@
 libdir = @plugindir@
 
 INCLUDES = -I@srcdir@
-CFLAGS = @CFLAGS@ @EXTRA_CFLAGS@
+AM_CFLAGS = @EXTRA_CFLAGS@
 
 lib_LTLIBRARIES = sasl-ntlm.la
 
Index: plain/Makefile.am
===================================================================
RCS file: /srv/CVS/eric_firmware/libesmtp/plain/Makefile.am,v
retrieving revision 1.1.29.1
retrieving revision 1.2
diff -u -r1.1.29.1 -r1.2
--- plain/Makefile.am	30 Jan 2003 15:18:41 -0000	1.1.29.1
+++ plain/Makefile.am	30 Jan 2003 17:08:39 -0000	1.2
@@ -3,7 +3,7 @@
 libdir = @plugindir@
 
 INCLUDES = -I@srcdir@
-CFLAGS = @CFLAGS@ @EXTRA_CFLAGS@
+AM_CFLAGS = @EXTRA_CFLAGS@
 
 lib_LTLIBRARIES = sasl-plain.la
 
